<?php
class Origen extends AppObjeto {
	
	//Propiedades
	protected $numero;
	protected $nombre;
	protected $porcentajeBeneficio;
	protected $codigoComisionista;
	protected $usuarioKarve;
	protected $url;
			
	// para conectar con bd
	protected static $_aliasTabla = 'ORI';
	protected static $_nombreTabla = 'ORIGEN';
	protected static $_campoPK = 'NUM_ORIGEN';
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		self::addPropiedadBD('ORI', 'NUM_ORIGEN', 'numero', self::META_INT);
		self::addPropiedadBD('ORI', 'NOMBRE', 'nombre', self::META_VARCHAR);
		self::addPropiedadBD('ORI', 'POR_BENEF', 'porcentajeBeneficio', self::META_DECIMAL);
		self::addPropiedadBD('ORI', 'COMISIO_ORI', 'codigoComisionista', self::META_VARCHAR);
		self::addPropiedadBD('ORI', 'USU_TC', 'usuarioKarve', self::META_VARCHAR);
		self::addPropiedadBD('ORI', 'WEB_TC', 'url', self::META_VARCHAR);
		
	}
	
	
	// Métodos
	
	// Get y Set
	
	public function getUrl() {
	    return $this->url;
	}
	public function setUrl($url) {
	    $this->url = $url;
	}
	
	
	
	public function getPorcentajeBeneficio() {
	    return $this->porcentajeBeneficio;
	}
	public function setPorcentajeBeneficio($porcentajeBeneficio) {
	    $this->porcentajeBeneficio = $porcentajeBeneficio;
	}
	
	public function getNombre() {
	    return $this->nombre;
	}
	public function setNombre($nombre) {
	    $this->nombre = $nombre;
	}
	
	public function getNumero() {
	    return $this->numero;
	}
	public function setNumero($numero) {
	    $this->numero = $numero;
	}
	
	public function getCodigoComisionista() {
	    return $this->codigoComisionista;
	}
	
	public function setComisionista($comisionista) {
	    $this->comisionista = $comisionista;
	}
	
	public function getUsuarioKarve() {
	    return $this->usuarioKarve;
	}
	public function setUsuarioKarve($usuarioKarve) {
	    $this->usuarioKarve = $usuarioKarve;
	}
	
	
	
	
	
}